Bug 118087 - man doesn't work in rescue
Summary: man doesn't work in rescue
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: man   
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-11 20:54 UTC by Susan Lauber
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: 1.5m2-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-24 20:14:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Susan Lauber 2004-03-11 20:54:12 UTC
Description of problem:
man does not work in rescue environment
A. calls /bin/gunzip which does not exist.
B. in a chroot /mnt/sysimage environment, MANPATH variable not correct.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot to rescue (we used boot.iso and NFS install server)
2. man man
3. gives error to indicate that /bin/gunzip not found and cannot find
man page.
4. makeing a ln -s /usr/bin/gunzip /bin/gunzip fixes for that session.

Then we tried in a chroot environment:

1. chroot /mnt/sysimage
2. man man
3. says man page not found
4. echo $MANPATH 
5. shows only /mnt/sysimage/* paths
6. man -M /usr/share/man man works fine.

  
Actual results:


Expected results:


Additional info:

Comment 1 David Lawrence 2004-03-15 20:20:28 UTC
Changing product and version.

Comment 2 Eido Inoue 2004-03-24 20:14:40 UTC
fixed the gunzip problem in 1.5m2-5. MANPATH problem is to be
deferred. (there's two bugs in one bugzilla. please split them up)


Note You need to log in before you can comment on or make changes to this bug.